# setAllJvmArgs

abstract fun setAllJvmArgs(arguments: List<String>)

### Deprecated

Sets the full set of arguments to use to launch the JVM for the process. Overwrites any previously set system properties, minimum/maximum heap size, assertions, and bootstrap classpath.

#### Since

4.0

#### Parameters

arguments

The arguments. Must not be null.

abstract fun setAllJvmArgs(arguments: Iterable<out Any>)

### Deprecated

Sets the full set of arguments to use to launch the JVM for the process. Overwrites any previously set system properties, minimum/maximum heap size, assertions, and bootstrap classpath.

#### Parameters

arguments

The arguments. Must not be null.